<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."magazyn/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."magazyn/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."magazyn/locale/Polish.php";
}

// Infusion general information
$inf_title = $locale['mag_100'];
$inf_description = $locale['mag_101'];
$inf_version = "0.2";	 //0,2 - link do admin panel, brak instalacji
$inf_developer = "Suchoj";
$inf_email = "suchoj.wroc@gmail.com";
$inf_weburl = "http://www.suchoj.pl/";

$inf_folder = "magazyn"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_adminpanel[1] = array(
	"title" => $locale['mag_100'],
	"image" => "",
	"panel" => "magazyn_admin.php",
);

$inf_link_name = $locale['mag_102']; // if not required replace $locale['xxx102']; with "";
$inf_link_url = "magazyn.php"; // The filename you wish to link to.
$inf_link_visibility = "101"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 6; // Number of new db tables to create or drop.
$inf_insertdbrows = 0; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = DB_PREFIX."telefon (
tel_id SMALLINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
model VARCHAR(25) NOT NULL,
PRIMARY KEY (tel_id)
) TYPE=MyISAM;";

$inf_newtable_[2] = DB_PREFIX."sim (
sim_id SMALLINT(2) UNSIGNED NOT NULL AUTO_INCREMENT,
numer VARCHAR(20) NOT NULL,
PRIMARY KEY (sim_id)
) TYPE=MyISAM;";

$inf_newtable_[3] = DB_PREFIX."starter (
sta_id SMALLINT(2) UNSIGNED NOT NULL AUTO_INCREMENT,
wartosc VARCHAR(20) NOT NULL,
PRIMARY KEY (sta_id)
) TYPE=MyISAM;";

$inf_newtable_[4] = DB_PREFIX."dostepne (
dos_id SMALLINT(2) UNSIGNED NOT NULL AUTO_INCREMENT,
tak TINYINT(1) NOT NULL,
PRIMARY KEY (dos_id)
) TYPE=MyISAM;";		 

$inf_newtable_[5] = DB_PREFIX."zamowienia (
zam_id SMALLINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
sfid_id SAMLLINT(8) NOT NULL,
data DATE NOT NULL,
PRIMARY KEY (zam_id)
) TYPE=MyISAM;";

$inf_newtable_[6] = DB_PREFIX."poz_zam (
zam_id SMALLINT(3) UNSIGNED NOT NULL,
tel_id SMALLINT(3) NOT NULL,
ilosc TINYINT UNSIGNED,
PRIMARY KEY (zam_id, tel_id)
) TYPE=MyISAM;";

$inf_droptable_[1] = DB_PREFIX."telefon";
$inf_droptable_[2] = DB_PREFIX."sim";
$inf_droptable_[3] = DB_PREFIX."starter";
$inf_droptable_[4] = DB_PREFIX."dostepne";
$inf_droptable_[5] = DB_PREFIX."zamowienia";
$inf_droptable_[6] = DB_PREFIX."poza_zam";

?>
